{#
Displays a single of dataset.

package        - A package to display.
item_class     - The class name to use on the list item.
hide_resources - If true hides the resources (default: false).
banner         - If true displays a popular banner (default: false).
truncate       - The length to trucate the description to (default: 180)
truncate_title - The length to truncate the title to (default: 80).

Example:

  {% snippet 'snippets/package_item.html', package=c.datasets[0] %}

#}
{% set truncate = truncate or 180 %}
{% set truncate_title = truncate_title or 75 %}
{% set title = h._metadata('title', package) or package.name %}
{% set notes = h.markdown_extract(h._metadata('notes', package), extract_length=truncate) %}

{% block package_item %}
    <li class="{{ item_class or "dataset-item" }}">
        {% block content %}
            <div class="dataset-content">
                {% block heading %}
                    <div class="dataset-heading-icons">
                        {% set trans_available =  h.translation_available(package)  %}
                        {% if trans_available.status == False %}
                            <i class="icon-comment dataset-icon icon-tooltip" data-placement="top" data-delay="0" title="{{ _('Translation not complete') }}"></i>
                        {% endif %}
                    </div>

                    <div class="dataset-heading-wrapper">
                        <h3 class="dataset-heading">
                            {% block heading_private %}
                                {% if package.private %}
                                    <span class="dataset-private label label-inverse">
                      <i class="icon-lock"></i>
                      {{ _('Private') }}
                    </span>
                                {% endif %}
                            {% endblock %}
                            {% block heading_title %}
                                {{ h.link_to(h.truncate(title, truncate_title), h.url_for(controller='package', action='read', id=package.name)) }}
                            {% endblock %}
                            {% block heading_meta %}
                                {% if package.get('state', '').startswith('draft') %}
                                    <span class="label label-info">{{ _('Draft') }}</span>
                                {% elif package.get('state', '').startswith('deleted') %}
                                    <span class="label label-important">{{ _('Deleted') }}</span>
                                {% endif %}
                                {{ h.popular('recent views', package.tracking_summary.recent, min=10) if package.tracking_summary }}
                            {% endblock %}

                        </h3>
                    </div>

                {% endblock %}
                {% block banner %}
                    {% if banner %}
                        <span class="banner">{{ _('Popular') }}</span>
                    {% endif %}
                {% endblock %}
                {% block notes %}
                    {% if notes %}
                        <div>{{ notes|urlize }}</div>
                    {% else %}
                        <p class="empty">{{ _("This dataset has no description") }}</p>
                    {% endif %}
                {% endblock %}
            </div>

            {% if package.organization %}
            <div class="search-result-meta">
                <img class="flag-image-search" src="{{ h.get_organization_image_url(package.organization, extras_included=False) or h.url_for_static('/base/images/placeholder-organization.png') }}" alt="{{ package.organization.name }}" />
                <a href="{{ h.url_for('organization_read', action='read', id=package.organization.name) }}">{{ package.organization.title }}</a> |
                <span class="icon-tooltip last-modified" data-placement="top" data-delay="0" title="{{ _('Last Modified') }}">
                    {{ h.render_datetime(package.metadata_modified) }}
                </span>
            </div>
            {% endif %}

            {% block resources %}
                {% if package.resources and not hide_resources %}
                    {% block resources_outer %}
                            <ul class="dataset-resources unstyled">
                            {% block resources_inner %}
                                {% for resource in h.dict_list_reduce(package.resources, 'format') %}
                                    <li>
                                        <a href="{{ h.url_for(controller='package', action='read', id=package.name) }}" class="label" data-format="{{ resource.lower() }}">{{ resource }}</a>
                                    </li>
                                {% endfor %}
                            {% endblock %}
                        </ul>
                    {% endblock %}
                {% endif %}
            {% endblock %}

        {% endblock %}
    </li>
{% endblock %}
